Name:          nvclock
Version:       0.8b4
Release:       2mamba
Summary:       A small utility that allows users to overclock NVIDIA based video cards
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.linuxhardware.org/nvclock
Source:        http://www.linuxhardware.org/nvclock/nvclock%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
NVClock is a small utility that allows users to overclock NVIDIA based video cards running on the Linux platform. The original code used in building this application was borrowed from the nvcs application. That code has been extensively reworked in order to make the utility much more user friendly and to make it play nice with current distros and drivers.

%prep
%setup -q -n %{name}%{version}

%build
#export QTDIR=%{_qt3_prefix}
%configure \
   --enable-gtk

#   MOC=%{_qt3_bindir}/moc \
#   LIBS="-lXext"

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/nvclock
%{_bindir}/smartdimmer
#%{_bindir}/nvclock_gtk
%{_datadir}/applications/nvclock.desktop
%{_datadir}/icons/hicolor/48x48/apps/nvclock.png
%{_docdir}/nvclock/*
%{_mandir}/man1/nvclock.1.gz
%doc AUTHORS COPYING
#ChangeLog README

%changelog
* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 0.8b4-2mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8b4-1mamba
- package created by autospec
